@font-face {
    font-family: Title;
    src: url(../fonts/wayfarers-toy-box.ttf);
}

:root{
    --background : #222326;
    --boxes : #000000AF;

    --titres : #9162c7;
    --hover : #c296f5;
    --texte : #c6a0f2;
    --separations : #9162c7;
    --scrollbarin: #9162c7;
    --scrollbarout: #c296f5;
}


html{
    color: var(--texte);
    font-family: monospace;
    align-items:center;
}

/* Links */

a {
    color: var(--titres);
    cursor: pointer;
    text-decoration: none;
}

a:hover {
    color: var(--hover);
}

/* ------------------ */

.date{
    margin-top: 0;
    text-align: center;
    font-size: 20px;
    color: var(--titres);
}

title{
    font-family: Title;
}

p{
   font-size: 20px;
   font-family: monospace;
   font-style: normal;
   line-height: calc(1ex / 0.32);
   text-justify: auto;
   margin-top: 0;
}

#canvas{
    box-sizing: border-box;
    width: 60%;
    background-color: var(--boxes);
    margin: 50px auto;
    padding: 40px;
    border-radius: 10px;
}

body{
    background: radial-gradient(ellipse at center, #1C2837 0%, #050608 100%);
    background-attachment: fixed;
    overflow-x: hidden;
    overflow-y: auto;
}

/* ----------- Starry background ----------- */
.stars{
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: 
        radial-gradient(2px 2px at 20px 30px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 48px 50px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 84px 16px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 98px 123px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 195px 108px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 140px 75px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 108px 135px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 60px 90px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 180px 40px, #eee, rgba(0,0,0,0)),
        radial-gradient(2px 2px at 160px 160px, #eee, rgba(0,0,0,0));

    background-size: 200px 200px;
    background-repeat: repeat;
    z-index: -2;
    animation: flicker 5s infinite;
}

@keyframes flicker {
    0%, 100% { opacity: 1; }
    50% { opacity: 0.75; }
}

/* ------------------ */

#canvas > p{
    padding-left: 20px;
}

#heading{
    font-family: Title;
    text-align: center;
}

h3{
    font-family: Title;
    font-size: 25px;
    padding: 10px;
    padding-top: 0;
    padding-bottom: 0;
    color: var(--titres);
}

h3 img{
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

h4{
    padding: 10px;
    color: var(--séparations);
}

span{
    color: var(--titres);
}


header{
    border-bottom: 1px solid var(--separations);
}

footer{
    border-top: 1px solid var(--separations);
    bottom: 0;
    text-align: center;
    padding: 10px;
    color: var(--texte);
}

.badges img{
    height: 31px;
    width: 88px;
    box-sizing: border-box;
}

hr{
    width: 100%; 
    height: 1px; 
    background-color: var(--separations); 
    border: none;
}

summary{
    font-size: 20px;
    color: var(--titres);
    cursor: pointer;
}

#liste_arti{
    margin-left: 20px;
    font-size: 18px;
}


/* Navbars */

nav {
    text-align: center;
    padding-bottom: 15px;
    padding-top: 7px;
}

nav > a {
    padding-left: 20px;
    padding-right: 20px;
    font-size: 18px;
}

/* Links */

.color-link {
    -webkit-filter: grayscale(1) brightness(125%);
    filter: grayscale(1) brightness(125%);
    transition-duration: 0.6s;
}

.color-link:hover {
    -webkit-filter: none;
    filter: none;
}

.inactive-link {
    -webkit-filter: grayscale(1) brightness(35%);
    filter: grayscale(1) brightness(35%);
}

.glow-link {
    transition-duration: 0.4s;
}

.glow-link:hover {
    -webkit-filter: drop-shadow(0 0 2px #fff);
    filter: drop-shadow(0 0 2px #fff);
}

/* Input things */

button {
    font-size: 18px;
    color: var(--texte);
    cursor: pointer;
    border: none;
    border-radius: 6px;
    margin: 9px 5px 3px;
    padding: 5px 10px;
    transition-duration: 0.4s;
}

button:hover {
    color: red;
}

.links-wide{
    display: inline-block;
}

.links-wide img{
    width: 25px;
    height: 25px;
}

#rss-icon > img{
    margin-top: 10px;
    vertical-align: middle;
}

#github-icon > img{
    margin-top: 10px;
    vertical-align: middle;
}


/* Responsive */

@media screen and (max-width: 700px) {
    #canvas{
        width: 100%;
    }

    #date{
        font-size: 10px;
    }


}


/* Works on Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: var(--scrollbarout) var(--scrollbarin);
  }
  
  /* Works on Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 12px;
  }
  
  *::-webkit-scrollbar-track {
    background: var(--scrollbarin);
  }
  
  *::-webkit-scrollbar-thumb {
    background-color: var(--scrollbarout);
    border-radius: 20px;
    border: 3px solid var(--scrollbarin);
  }

